(********************************************************)
(* CDAudio frontend dynamic link library interface unit *)
(* Copyleft (C) 1999 Virtual Research                   *)
(********************************************************)

unit CDAudio_;

interface

const  WRITE_PROTECT=0;     
       UNKNOWN_UNIT=1;      
       DRIVE_NOT_READY=2;   
       UNKNOWN_COMMAND=3;   
       CRC_ERROR=4;         
       BAD_STRUC_LEN=5;     
       SEEK_ERROR=6;        
       UNKNOWN_MEDIA=7;     
       SECTOR_NOT_FOUND=8;  
       OUT_OF_PAPER=9;      
       WRITE_FAULT=$A;      
       READ_FAULT=$B;       
       GENERAL_FAILURE=$C;
       INVALID_DISK_CHANGE=$F; 


type TcdTrackInfo=record
      StartSector:longint;
      DataTrack:boolean;    
      LengthInSectors:longint;
      Minutes,Seconds:word;   
     end;
type PTracks=^TTracks;
     TTracks=array[byte] of TcdTrackInfo;


type PCDAudio=^TCDAudio;
     TCDAudio=record
      (* properties *)
      MSCDEXpresent:^boolean;
      MSCDEXver:^word;
      NumberOfDrives:^word;
      Result:^boolean;
      Error:^byte;
      NumberOfTracks:^byte;
      Tracks:PTracks;

      (* Methods *)
      ChangeDisk:procedure(Drive:byte);
      Reset:procedure;
      Eject:procedure;
      Close:procedure;
      Lock:procedure;
      Unlock:procedure;
      PlayTrack:procedure(TrackNumber:byte);
      Play:procedure(StartSector,NumberOfSectors:longint);
      Stop:procedure;
      Resume:procedure;
      Seek:procedure(Sector:longint);
      Position:function:longint;
      Paused:function:boolean;
      Playing:function:boolean;
      MediaChanged:function:boolean;
      SetVolume:procedure(V1,V2,V3,V4:byte);
      GetVolume:procedure(var V1,V2,V3,V4:byte);
     end;

implementation
end.

